function M = reson(P,Mi,teta)

global B0 % strenght of the field B_0 in tesla
global B1
global gamma;    % gyromagnetic ratio for proton
global omega;

[U,V] = calBRF(P); 
T = teta/(gamma*B1);  % duree de resonnance
S=omega*T;            % new time  
            
options = odeset('RelTol',1e-2,'AbsTol',1E-3);
[TT,Y] = ode23(@bloch,[0 S],Mi,options,P,B0,B1,omega,gamma,U,V);

% Le champ total au temps T
B = [0;0;B0] + [B1*cos(S); B1*sin(S); 0];
B = B + U'*cos(S) + V'*sin(S);
om = -gamma*B;
A = [cos(om(3)*T),-sin(om(3)*T),0;...
     sin(om(3)*T),cos(om(3)*T),0;
     0,0,1];
M = A*Y(size(Y,1),:)';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function dY = bloch(s,Y,P,B0,B1,omega,gamma,U,V)

% Le champ total depend du temps
B = [0;0;B0] + [B1*cos(s); B1*sin(s); 0];
B = B + U'*cos(s) + V'*sin(s);

om = -gamma*B;

A = [0,0,om(2)*cos(s)-om(1)*sin(s); ...
     0,0,-om(2)*sin(s)-om(1)*cos(s); ...
     -om(2)*cos(s)+om(1)*sin(s), ...
      om(2)*sin(s)+om(1)*cos(s),0];
dY = A*Y/om(3);

